=== src/CMakeLists.txt ===
--- 
+++ 
@@ -36,8 +36,14 @@
    utils/filesystemwatcher.cpp
    utils/formatting.cpp
    utils/classify.cpp
+   utils/gnupg.cpp
+   utils/hex.cpp
    )
-ecm_qt_declare_logging_category(libkleo_core_SRCS HEADER libkleo_debug.h IDENTIFIER LIBKLEO_LOG CATEGORY_NAME org.kde.pim.libkleo)
+ecm_qt_declare_logging_category(libkleo_core_SRCS HEADER libkleo_debug.h IDENTIFIER LIBKLEO_LOG CATEGORY_NAME org.kde.pim.libkleo
+        DESCRIPTION "libkleo (kleo_core)"
+        EXPORT LIBKLEO
+    )
+
 
 set(libkleo_ui_common_SRCS
    ui/dnattributeorderconfigwidget.cpp
@@ -51,7 +57,13 @@
    ui/progressdialog.cpp
    ui/auditlogviewer.cpp
    )
-ecm_qt_declare_logging_category(libkleo_ui_common_SRCS HEADER kleo_ui_debug.h IDENTIFIER KLEO_UI_LOG CATEGORY_NAME org.kde.pim.kleo_ui)
+
+ecm_qt_declare_logging_category(libkleo_ui_common_SRCS HEADER kleo_ui_debug.h IDENTIFIER KLEO_UI_LOG CATEGORY_NAME org.kde.pim.kleo_ui
+        DESCRIPTION "libkleo (kleo_ui)"
+        OLD_CATEGORY_NAMES log_kleo_ui
+        EXPORT LIBKLEO
+    )
+
 
 set(libkleo_ui_SRCS    # make this a separate lib.
     ui/keylistview.cpp
@@ -147,6 +159,7 @@
   Classify
   FileSystemWatcher
   Formatting
+  GnuPG
   REQUIRED_HEADERS libkleo_utils_HEADERS
   PREFIX Libkleo
   RELATIVE utils
