## libkf5libkleo 20.12.3

=== debian/changelog ===
libkf5libkleo (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:28:36 +0000

libkf5libkleo (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 10:01:59 +0000

libkf5libkleo (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:15:26 +0000

libkf5libkleo (4:20.12.0-0ubuntu2) hirsute; urgency=medium

  * Add some optional symbols leaked from new boost library, fixes an FTBFS.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 14 Jan 2021 18:16:01 +0000

libkf5libkleo (4:20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:35:12 +0000

libkf5libkleo (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:59:26 +0000
